.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    padding-top: rem(90);
    padding-bottom: rem(30);
    transition-duration: .15s;
    transition-property: width,margin-left,margin-right,padding-left,padding-right;
    transition-timing-function: cubic-bezier(.4,0,.2,1);

    @include media-breakpoint-up(md) {
        padding-top: rem(40);
        padding-left: rem(94);
    }

    @include media-breakpoint-up(xl) {
        transition: .3s;
    }

    @include media-breakpoint-up(xxl) {
        padding-left: rem(351);
    }
}

.main {
    flex-grow: 1;
}

.swiper {
    width: 100%;
    height: 100%;
}

.modal {
    padding: rem(24);

    @include media-breakpoint-up(md) {
        padding: rem(32);
    }
}

.section {
    margin-bottom: rem(30);

    &--white {
        padding: rem(25);
        background: $white;
        border-radius: 10px;
        box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);
    }

    &__header {
        position: relative;

        &:before {
            left: rem(-25);
            top: 0;
            bottom: 0;
            width: 2px;
            content: '';
            position: absolute;
            background: linear-gradient(277.75deg, #312782 6.54%, #3A2582 10.04%, #951180 51.17%, #CF057E 80.04%, #E5007E 94.04%);
        }
    }

    &__footer {
        text-align: center;
        padding-top: rem(20);
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(40);

        &--white {
            padding: rem(40);
        }

        &__header {

            &:before {
                left: rem(-40);
            }
        }

        &__footer {
            padding-top: rem(24);
        }
    }

    @include media-breakpoint-up(xxl) {

        &--xl {
            margin-bottom: rem(50);
        }

        &--white {
            padding: rem(50);
        }

        &__header {

            &:before {
                left: rem(-50);
            }
        }
    }
}

.about {

    &__content {
        z-index: 10;
        position: relative;
    }

    &__media {
        margin: 0 auto;
        max-width: rem(672);
    }

    h4,
    .h4 {
        font-size: rem(15);
        line-height: rem(18);
        margin-bottom: rem(7);
    }

    @include media-breakpoint-up(md) {

        &__content {
            margin-bottom: rem(40);
        }

        h4,
        .h4 {
            font-size: rem(17);
            line-height: rem(21);
            margin-bottom: rem(10);
        }
    }

    @include media-breakpoint-up(xl) {
        display: flex;
        align-items: center;

        &__content {
            margin: 0;
        }

        &__media {
            margin: 0;
            width: rem(360);
            flex-shrink: 0;
        }

        &__image {
            margin-left: rem(-40);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__content {

        }

        &__media {
            width: rem(544);
        }

        &__image {
            margin-right: rem(-20);
        }
    }
}

.block {
    position: relative;

    &__media {
        top: rem(-40);
        right: rem(-25);
        z-index: 1;
        width: rem(64);
        position: absolute;
    }

    &__main {
        z-index: 10;
        position: relative;
    }

    &__switcher {
        margin-bottom: rem(15);
    }

    &__grid {
        display: grid;
        grid-row-gap: rem(10);
        grid-template-columns: 1fr;
    }

    h1,
    .h1 {
        max-width: calc(100% - 40px);
    }

    h5,
    .h5 {
        margin-bottom: rem(10);
    }

    @include media-breakpoint-up(md) {

        &__media {
            top: rem(-70);
            right: rem(-40);
            width: rem(150);
        }

        &__switcher {
            margin-bottom: rem(30);
        }

        &__grid {
            grid-row-gap: rem(24);
        }

        h1,
        .h1 {
            max-width: calc(100% - 80px);
        }
        h5,
        .h5 {
            margin-bottom: rem(20);
        }
    }

    @include media-breakpoint-up(lg) {

        h1,
        .h1 {
            max-width: calc(100% - 170px);
        }

        &__media {
            width: rem(200);
        }

        &__content {
            max-width: calc(100% - 180px);

            &--grid {
                width: 100%;
            }
        }

        &__grid {
            grid-row-gap: rem(24);
            grid-column-gap: rem(24);
            grid-template-columns: 1fr 1fr;
        }

        &--md {



            .block__content {
                max-width: calc(100% - 240px);
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__media {
            top: rem(-84);
            right: rem(-20);
            width: rem(220);
        }

        &__switcher {
            margin-bottom: rem(40);
        }
    }
}

.border-block {
    padding: rem(20);
    border-radius: 10px;
    border: 1px dashed #EEEAEC;

    @include media-breakpoint-up(md) {
        padding: rem(30);
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(40);
    }
}

.post-media {
    display: block;
    overflow: hidden;
    margin: 0 rem(-25) rem(20) rem(-25);

    @include media-breakpoint-up(md) {
        margin: 0 rem(-40) rem(30) rem(-40);
    }

    @include media-breakpoint-up(xl) {
        border-radius: 10px;
        margin: 0 0 rem(50) 0;
    }
}

.post-lead {
    padding: rem(20);
    font-style: italic;
    background: #FAF8F9;
    border-radius: 10px;
    margin-bottom: rem(20);

    @include media-breakpoint-up(md) {
        padding: rem(30);
        margin-bottom: rem(25);
    }

    @include media-breakpoint-up(xl) {
        padding: rem(50);
        margin-bottom: rem(50);
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(50) rem(100);
    }
}

.post-item {
    margin-bottom: rem(15);

    &::after {
        content: "";
        clear: both;
        display: table;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(25);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(30);
    }
}

.post-item-image {
    display: block;
    overflow: hidden;
    border-radius: 10px;
    margin-bottom: rem(15);

    @include media-breakpoint-up(md) {
        width: rem(260);
        float: left;
        margin: 0 rem(25) rem(10) 0;
    }
}

.post-grid {

    @include media-breakpoint-up(md) {
        display: grid;
        grid-column-gap: rem(24);
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xxl) {
        grid-column-gap: rem(30);
    }
}

.post-columns-2-3 {

    @include media-breakpoint-up(md) {
        column-count: 2;
        column-gap: rem(24);
    }

    @include media-breakpoint-up(xxl) {
        column-count: 3;
        column-gap: rem(30);
    }
}

.post-columns-2-4 {

    @include media-breakpoint-up(md) {
        column-count: 2;
        column-gap: rem(24);
    }

    @include media-breakpoint-up(xl) {
        column-count: 3;
    }

    @include media-breakpoint-up(xxl) {
        column-count: 4;
        column-gap: rem(30);
    }
}

.post {

    &__group {
        margin-bottom: rem(20);
    }

    ol {
        margin: 0;
        padding: 0;
        list-style: none;
        counter-reset: num;

        li {
            position: relative;
            padding-left: rem(15);

            &:before {
                top: 0;
                left: 0;
                color: $violet;
                font-weight: 700;
                font-size: rem(12);
                content: counter(num) '.';
                counter-increment: num;
                position: absolute;
            }

            &:not(:last-child) {
                margin-bottom: rem(7);
            }
        }
    }

    ul {
        margin: 0;
        padding: 0;
        list-style: none;

        li {
            position: relative;
            padding-left: rem(15);

            &:before {
                top: 0;
                left: 0;
                content: '·';
                position: absolute;
            }

            &:not(:last-child) {
                margin-bottom: rem(7);
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__group {
            margin-bottom: rem(30);
        }

        ol,
        ul {

            li {
                padding-left: rem(20);

                &:not(:last-child) {
                    margin-bottom: rem(7);
                }
            }
        }

        ol {

            li {

                &:before {
                    font-size: rem(13);
                    line-height: rem(16);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__group {
            margin-bottom: rem(40);
        }
    }

    @include media-breakpoint-up(xxl) {
        padding: 0 rem(100);

        &__inner {
            margin: 0 rem(-100);
        }
    }
}

.post-slider {
    overflow: visible;
    position: relative;

    &__nav {
        display: none;
    }

    @include media-breakpoint-up(xxl) {

        &__nav {
            z-index: 30;
            top: calc(50% - 25px);
            display: block;
            position: absolute;

            &--prev {
                left: -25px;
            }

            &--next {
                right: -25px;
            }
        }
    }
}

[data-gallery] {
    overflow: visible;

    .swiper-slide {
        width: rem(150);
    }

    @include media-breakpoint-up(md) {

        .swiper-slide {
            width: rem(175);
        }
    }

    @include media-breakpoint-up(lg) {

        .swiper-slide {
            width: rem(193);
        }
    }

    @include media-breakpoint-up(xxl) {
        overflow: hidden;
    }
}

.image-item {
    display: block;
    overflow: hidden;
    position: relative;
    border-radius: 10px;

    &__hover {
        z-index: 20;
        top: calc(50% - 25px);
        left: calc(50% - 25px);
        width: 50px;
        height: 50px;
        display: block;
        position: absolute;
        border-radius: 50%;
        background: rgba(255, 255, 255, 0.3);
        opacity: 0;
        visibility: hidden;
        transition: .3s;

        &:before {
            z-index: 10;
            width: 40px;
            height: 40px;
            content: '';
            display: block;
            top: calc(50% - 20px);
            left: calc(50% - 20px);
            border-radius: 50%;
            position: absolute;
            background: $white url("../img/icon-plus.svg") 50% 50% no-repeat;
        }
    }
}

.post-gallery {
    display: grid;
    grid-row-gap: rem(10);
    grid-column-gap: rem(10);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.post-author {
    padding: rem(20);
    font-size: rem(14);
    line-height: rem(17);
    background: #FAF8F9;
    position: relative;
    border-radius: 10px;
    margin-bottom: rem(20);

    &__header {
        margin-bottom: rem(15);
        display: flex;
        align-items: center;
    }

    &__photo {
        width: 40px;
        height: 40px;
        display: block;
        overflow: hidden;
        border-radius: 50%;
        margin-right: rem(12);
    }

    &__title {
        color: $gray;
        font-size: rem(11);
        line-height: rem(13);
        margin-bottom: rem(2);
    }

    &__name {
        font-weight: 600;
        font-size: rem(15);
        line-height: rem(18);
    }

    @include media-breakpoint-up(md) {
        padding: rem(25);
        font-size: rem(15);
        line-height: rem(18);
        margin-bottom: rem(25);

        &__header {
            margin-bottom: rem(20);
        }

        &__photo {
            width: 70px;
            height: 70px;
            margin-right: rem(20);
        }

        &__title {
            font-size: rem(12);
            line-height: rem(15);
            margin-bottom: rem(5);
        }

        &__name {
            font-size: rem(17);
            line-height: rem(21);
        }
    }


    @include media-breakpoint-up(xl) {
        min-height: rem(220);
        margin-bottom: rem(30);
        padding: rem(50) rem(50) rem(50) rem(200);

        &__photo {
            margin: 0;
            left: rem(50);
            top: calc(50% - 60px);
            width: 120px;
            height: 120px;
            position: absolute;
        }

        &__header {
            margin-bottom: rem(15);
        }
    }

    @include media-breakpoint-up(xxl) {

    }
}

.post-footer {
    padding-top: rem(20);
    border-top: 1px solid #EEEAEC;

    &__meta {
        margin: 0 0 rem(20) 0;
        padding: 0;
        list-style: none;

        li {

            &:not(:last-child) {
                margin-bottom: rem(7);
            }
        }
    }

    &__item {
        fill: $gray;
        color: $gray;
        font-size: rem(14);
        line-height: rem(17);
        display: flex;
        align-items: center;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            flex-shrink: 0;
            margin-right: rem(8);
            display: inline-block;
        }

        span {

        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(40);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__meta {
            margin-bottom: 0;

            li {

                &:not(:last-child) {
                    margin-bottom: rem(10);
                }
            }
        }

        &__item {
            font-size: rem(15);
            line-height: rem(18);

            i {
                margin-right: rem(10);
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__meta {
            margin-bottom: 0;
            display: flex;
            align-items: center;

            li {

                &:not(:last-child) {
                    margin: 0 rem(40) 0 0;
                }
            }
        }
    }
}

.share {

    &__title {
        color: $black;
        font-size: rem(14);
        line-height: rem(17);
        margin-bottom: rem(10);
    }

    &__main {
        display: flex;
        align-items: center;

        > * {

            &:not(:last-child) {
                margin-right: rem(10);
            }
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;

        &__title {
            font-size: rem(15);
            line-height: rem(18);
            margin: 0 rem(10) 0 0;
        }
    }
}

.social-button {
    width: 30px;
    height: 30px;
    padding: 0;
    border: none;
    outline: none;
    display: block;
    overflow: hidden;
    cursor: pointer;
    border-radius: 50%;

    &--vk {
        background: #0077FF;
    }

    &--telegram {
        background: linear-gradient(180deg, #2AABEE 0%, #229ED9 99.26%);

        &:hover {
            background: linear-gradient(0deg, rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2)), linear-gradient(180deg, #2AABEE 0%, #229ED9 99.26%);
        }
    }

    &--mailru {
        background: #005FF9;

        &:hover {
            background: linear-gradient(0deg, rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2)), #005FF9;
        }
    }

    &--whatsapp {
        background: linear-gradient(180deg, #61FD7D 0%, #25CF43 100%);

        &:hover {
            background: linear-gradient(0deg, rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2)), linear-gradient(180deg, #61FD7D 0%, #25CF43 100%);
        }
    }

    &--ok {
        background: #EE8208;

        &:hover {
            background: linear-gradient(0deg, rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2)), #EE8208;
        }
    }

    &--twitter {
        background: #1D9BF0;

        &:hover {
            background: linear-gradient(0deg, rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2)), #1D9BF0;
        }
    }

    &--youtube {
        background: #FF0000;

        &:hover {
            background: linear-gradient(0deg, rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2)), #FF0000;
        }
    }

    @include media-breakpoint-up(md) {
        width: 40px;
        height: 40px;
    }
}

.excerpt {
    padding: rem(20);
    position: relative;
    border-radius: 10px;

    &:after {
        top: 2px;
        left: 0;
        right: 0;
        bottom: 2px;
        z-index: 1;
        content: '';
        position: absolute;
        border-radius: 10px;
        background: linear-gradient(277.75deg, rgba(49, 39, 130, 0.8) 6.54%, rgba(58, 37, 130, 0.8) 10.04%, rgba(149, 17, 128, 0.8) 51.17%, rgba(207, 5, 126, 0.8) 80.04%, rgba(229, 0, 126, 0.8) 94.04%);

    }

    &:before {
        top: 0;
        left: 2px;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        border-radius: 10px;
        background: #FAF8F9;
    }

    &__content {
        z-index: 20;
        position: relative;
    }

    &__media {
        top: -5px;
        right: -5px;
        width: 45px;
        height: 45px;
        z-index: 10;
        border-radius: 50%;
        position: absolute;
        background: #FAF8F9;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__icon {
        width: 25px;
        flex-shrink: 0;
    }

    &__title {
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(17);
        margin-bottom: rem(7);
    }

    &__text {
        font-style: italic;
    }

    &__author {
        color: $gray;
        font-size: rem(11);
        line-height: rem(13);
        margin-top: rem(7);
    }

    @include media-breakpoint-up(md) {
        padding: rem(25) rem(40) rem(25) rem(25);

        &__media {
            top: -10px;
            right: -10px;
            width: 70px;
            height: 70px;
        }

        &__icon {
            width: 40px;
        }

        &__title {
            font-size: rem(15);
            line-height: rem(18);
            margin-bottom: 10px;
        }

        &__author {
            font-size: rem(12);
            line-height: rem(15);
            margin-top: rem(10);
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(30) rem(60) rem(30) rem(30);
    }
}

.mb {
    margin-bottom: rem(15);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(25);
    }
}

.tags {
    padding: 0;
    list-style: none;
    margin: 0 0 rem(-10) 0;

    li {
        margin: 0 0 rem(10) 0;
    }

    @include media-breakpoint-up(sm) {
        display: flex;
        flex-wrap: wrap;
        align-items: center;

        li {
            margin-right: rem(10);
        }

    }

    @include media-breakpoint-up(md) {

        li {
            margin: 0 rem(15) rem(15) 0;
        }
    }
}

.tag-item {
    color: $black;
    height: rem(42);
    font-weight: 600;
    font-size: rem(14);
    line-height: rem(17);
    white-space: nowrap;
    border-radius: 100px;
    text-decoration: none;
    padding: rem(5) rem(15) rem(5) rem(5);
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);
    display: inline-flex;
    align-items: center;

    &:hover {
        color: $black;
        text-decoration: none;
    }

    &__media {
        font-size: 0;
        line-height: 0;
        width: rem(32);
        height: rem(32);
        border-radius: 50%;
        background: #FAF8F9;
        margin-right: rem(10);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__icon {
        height: rem(16);
        display: inline-block;
        flex-shrink: 0;
    }

    @include media-breakpoint-up(md) {
        height: rem(60);
        font-size: rem(15);
        line-height: rem(18);
        padding-left: rem(10);
        padding-right: rem(20);

        &__media {
            width: rem(40);
            height: rem(40);
            margin-right: rem(15);
        }

        &__icon {
            height: rem(20);
        }
    }
}

.params {
    display: grid;
    grid-row-gap: rem(10);
    grid-column-gap: rem(10);
    grid-template-columns: 1fr;

    &__item {
        color: $white;
        font-weight: 600;
        font-size: rem(15);
        line-height: rem(18);
        padding: rem(10) rem(20);
        text-align: center;
        height: rem(100);
        border-radius: 10px;
        position: relative;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
        background: url("../img/params__bg.svg") 50% 100% no-repeat;
        background-size: cover;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            position: absolute;
            background: rgba(255,255,255,0.1);
            opacity: 0;
            visibility: hidden;
            transition: .2s;
        }

        &:hover {
            color: $white;
            text-decoration: none;

            &:before {
                opacity: 1;
                visibility: visible;
                transition: .2s;
            }
        }
    }

    &__text {
        z-index: 10;
        max-width: rem(260);
        position: relative;
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;

        &__item {
            height: rem(183);
            font-size: rem(17);
            line-height: rem(21);
        }
    }

    @include media-breakpoint-up(xxl) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.data-group {
    display: grid;
    grid-row-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr;
    }
}

.data-item {
    min-height: rem(100);
    font-weight: 600;
    font-size: rem(15);
    line-height: rem(18);
    background: $white;
    border-radius: 10px;
    padding: rem(10) rem(30) rem(10) rem(10);
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);
    display: flex;
    align-items: center;

    &__media {
        font-size: 0;
        line-height: 0;
        width: rem(80);
        height: rem(80);
        border-radius: 50%;
        background: linear-gradient(277.75deg, #312782 6.54%, #3A2582 10.04%, #951180 51.17%, #CF057E 80.04%, #E5007E 94.04%);
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            width: rem(50);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__text {
        padding-left: rem(20);
    }

    &__icon {
        width: rem(50);
        flex-shrink: 0;
        margin-left: rem(15);
        margin-right: rem(5);
    }

    @include media-breakpoint-up(md) {
        height: rem(170);
        padding: rem(20);
        font-size: rem(17);
        line-height: rem(21);

        &__media {
            width: rem(130);
            height: rem(130);

            i {
                width: rem(70);
            }
        }

        &__text {
            max-width: rem(300);
            padding-left: rem(25);
        }

        &__icon {
            width: rem(70);
            margin-left: rem(30);
            margin-right: rem(15);
        }
    }
}

.chart-responsive {
    max-width: 100%;
    overflow-x: auto;

    .chart {
        min-width: 1064px;
        padding-bottom: rem(10);
    }

    @include media-breakpoint-up(xxl) {
        overflow-x: hidden;
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}

